Subject: Re: bug#37783: 27.0.50; "Buffer is read only" error while building from git master

From: Zach Shaftel <[email-masked]>
Date: Wed, 16 Oct 2019 23:25:37 -0400

> I'm unable to reproduce this.  Have you tried "make bootstrap"?

I just started to run "make bootstrap", then ^C'd so I could git
pull real quick. I then did the normal "make" assuming it would
error as before (and then I'd do a full "make boostrap"), but it
built fine. I'm assuming how ever far the "make bootstrap" got
before interrupt is what did the trick, I had only tried a "make
clean" before. Thanks!

Lars Ingebrigtsen writes:

> Zach Shaftel <[email-masked]> writes:
>
>>   ELC      ../lisp/menu-bar.elc
>> Source file ‘/home/zach/.repos/emacs/lisp/vc/diff-mode.el’ newer than byte-compiled file; using older file
>>   ELC      ../lisp/mwheel.elc
>> Buffer is read-only: #<buffer loaddefs.el>
>
> I'm unable to reproduce this.  Have you tried "make bootstrap"?